import logging
from ..Factory import get_database, DatabaseEngineEnum
from .script import sequence

logging.basicConfig(level=logging.INFO)

def test_redis():
    database = get_database(
        DB_ENGINE=DatabaseEngineEnum.REDIS, REDISDB_SERVICE_HOST='127.0.0.1', REDISDB_SERVICE_PORT=31926,
        REDISDB_DATABASE_ID=0)
    sequence(database)
